extends ../../layout

block pageMeta
  title Liquidity Viewer - Uniswap V3
  meta(name='description' content='Search for pairs on Uniswap V3 and view their liquidity spread')

block header
  h1
    img.title-img.uniswap(src="~/src/lib/assets/images/uniswap.png")
    | Liquidity Viewer - Uniswap V3
    br
    small
      a(href="/") Tools
    small
      a(href="/liquidity") Liquidity
    small
      a(href="/positions") Positions

block content
  section.query(data-controller='query')
    .input(
      contenteditable='true'
      spellcheck='false'
      data-query-target='input'
      data-action='focus->query#showResults input->query#maybeQuery'

      placeholder='Search by symbol or token address'
    )

    section#pool-results.pool-results(
      data-controller='pool-results'
      data-query-target="poolResults"
    )

  section#pool-viewer.pool-viewer

  section#positions-viewer.positions-viewer

block append javascripts
  script
    | window.selectedDex = 'uni-v3'

  script(type='module' src='~/src/lib/javascripts/liquidity.js')
